@import 'palette';
@import 'mixins';


.rm-project-configuration {
    .rm-project {
        display: flex;
        flex-direction: column;
        margin: 0 0 10px 0;

        @include sm() {
            flex-direction: row;
            margin: 0;
        }

        .rm-project-meta {
            flex-basis: 50%;

            .rm-project-code {
                display: block;
                font-weight: bold;
            }

            .rm-project-name {
                display: block;
                color: $color-primary-lighter;
            }
        }
    
    .rm-project-proad-configuration {
        flex-basis: 50%;
    }
}
}



.rm-project-weekly-distribution {
    display: flex;
    justify-content: space-between;
    gap: 15px;
    flex-direction: column;

    @include sm() {
        flex-direction: row;
    }
    

    
  .rm-project-weekday {

    flex-basis: calc(100% / 5); // we're using a 5 day basis

    .rm-label {
        font-weight: bold;
    }
    .rm-projects-listing {
        

        .rm-project {

            display: flex;

            .rm-project-meta {

                flex-basis: 70%;
                font-size: 14px;
                padding: 0 10px 0 0;

                .rm-project-name {
                    display: block;
                    color: $color-primary-light;
                    &:hover {
                        cursor: pointer;
                    }
                }
                
                
            }

            .rm-project-input {
                flex-basis: 30%;
            }
    
            
        }

    }
  }
}

.rm-totals {

    font-size: 0.9rem;

    .rm-totals-per-weekday {

        table {
            .projects {
                display: flex;
                gap: 10px;
                justify-content: space-between;
                margin:  0 0 10px 0;
                padding: 0 0 10px 0;
                border-bottom: 1px dotted $color-shade;
                &:last-child {
                    border-bottom: none;
                    margin: 0;
                    padding: 0;
                }
                .project-meta {
                    .project-name {

                    }
                    .project-proad-code {
                        color: $color-primary-light;
                        font-weight: 700;
                    }
                }
            }
        }
    
    }
    .rm-totals-per-project {
        flex-basis: 50%;
    }

    table {
        width: 100%;
        tr {

            th {
                text-align: left;
            }

            th, td {
                padding: 10px;
                vertical-align: top;
                border: 1px solid $color-shade-lighter;
            }

            &.project {
                
                
                .project-meta {
                    .project-name {
                    }
                    .project-proad-code {
                        color: $color-primary-light;
                        font-weight: 700;
                    }
                }
                .project-time {
                }
            }
            
        }
    }
}


.rm-actions {
    text-align: center;
    @include sm() {
        text-align: right;
    }
}




::ng-deep {
    .rm-project-weekly-distribution {
        .rm-input {
            padding: 5px;
            text-align: center;
        }
    }  
    
    .project-activity-modal {
        &.rm-modal{
            max-width: 80%;
            min-width: 900px;
        }
        .rm-modal-content {
            padding: 50px;
        }
    }
}